## grubmenu 0.2.0

=== Makefile ===
# Sample Makefile for grubmenu

PKG_NAME = grubmenu
VERSION = 0.2.0
DIST_NAME = $(PKG_NAME)_$(VERSION)
DIST_PATH = ../$(DIST_NAME).orig.tar.gz

PY_VER=`python -c "import sys;print sys.version[:3]"`

INSTALLDIR = install -d
INSTALLEXEC = install -m 755
INSTALLDATA = install -m 644

PREFIX = /usr/local

EXEDIR = $(DESTDIR)$(PREFIX)/sbin
MODULESDIR = $(DESTDIR)$(PREFIX)/lib/python$(PY_VER)/site-packages/$(PKG_NAME)

all:
	LANG=C /usr/bin/docbook2man $(PKG_NAME).sgml
	rm -f manpage.*
	mv GRUBMENU.8 $(PKG_NAME).8
	make -C po

install-deb: all
	$(INSTALLDIR) $(EXEDIR)
	$(INSTALLEXEC) $(PKG_NAME).py $(EXEDIR)
	mv $(EXEDIR)/$(PKG_NAME).py $(EXEDIR)/$(PKG_NAME)

	$(INSTALLDIR) $(MODULESDIR)
	cp -a grubmenu/*.py $(MODULESDIR)
	$(INSTALLDIR) $(MODULESDIR)/common
	cp -a grubmenu/common/*.py $(MODULESDIR)/common

	make -C po install

install: install-deb
	$(INSTALLDIR) $(PREFIX)/man/man
	$(INSTALLDATA) $(PKG_NAME).8 $(PREFIX)/man/man8

clean:
	rm -rf *~ common/*~
	rm -f *.pyc common/*.pyc
	make -C po clean 

distclean: clean
	rm -f $(PKG_NAME).8
	make -C po distclean

dist: distclean
	rm -rf /tmp/$(DIST_NAME)
	mkdir -p /tmp/$(DIST_NAME)
	cp -a * /tmp/$(DIST_NAME)
	rm -rf /tmp/$(DIST_NAME)/debian
	rm -rf /tmp/$(DIST_NAME)/CVS
	rm -rf /tmp/$(DIST_NAME)grubmenu/CVS
	rm -rf /tmp/$(DIST_NAME)grubmenu/common/CVS
	rm -rf /tmp/$(DIST_NAME)/po/CVS
	tar -czC /tmp -f $(DIST_PATH) $(DIST_NAME)
