## grubmenu 0.2.2-1

=== Makefile ===
# Sample Makefile for grubmenu

PKG_NAME = grubmenu
GUI_NAME = grubmenugui

VERSION = 0.2.2

DIST_NAME = $(PKG_NAME)_$(VERSION)
DIST_PATH = ../$(DIST_NAME).orig.tar.gz

PY_VER=`python -c "import sys;print sys.version[:3]"`

NORMAL_PYFILE = grubmenu/__init__.py grubmenu/ui_default.py
GUI_PYFILE = grubmenu/aboutDialog.py grubmenu/ui_wxPython.py
COMMON_PYFILE = grubmenu/common/__init__.py grubmenu/common/config.py grubmenu/common/constants.py grubmenu/common/create_menu.py grubmenu/common/utils.py

INSTALLDIR = install -d
INSTALLEXEC = install -m 755
INSTALLDATA = install -m 644

PREFIX = /usr/local

EXEDIR = $(DESTDIR)$(PREFIX)/sbin
MODULESDIR = $(DESTDIR)$(PREFIX)/lib/python$(PY_VER)/site-packages/$(PKG_NAME)
MANDIR = $(DESTDIR)$(PREFIX)/man/man8

all:
	LANG=C /usr/bin/docbook2man $(PKG_NAME).sgml
	rm -f manpage.*
	mv GRUBMENU.8 $(PKG_NAME).8
	make -C po

install-deb: all
	$(INSTALLDIR) $(EXEDIR)
	$(INSTALLEXEC) $(PKG_NAME).py $(EXEDIR)
	mv $(EXEDIR)/$(PKG_NAME).py $(EXEDIR)/$(PKG_NAME)
	$(INSTALLEXEC) $(GUI_NAME).py $(EXEDIR)
	mv $(EXEDIR)/$(GUI_NAME).py $(EXEDIR)/$(GUI_NAME)

	$(INSTALLDIR) $(MODULESDIR)
	$(INSTALLDATA) $(NORMAL_PYFILE) $(MODULESDIR)
	$(INSTALLDATA) $(GUI_PYFILE) $(MODULESDIR)
	$(INSTALLDIR) $(MODULESDIR)/common
	$(INSTALLDATA) $(COMMON_PYFILE) $(MODULESDIR)/common

	make -C po install

install-nogui-deb: all
	$(INSTALLDIR) $(EXEDIR)
	$(INSTALLEXEC) $(PKG_NAME).py $(EXEDIR)
	mv $(EXEDIR)/$(PKG_NAME).py $(EXEDIR)/$(PKG_NAME)

	$(INSTALLDIR) $(MODULESDIR)
	$(INSTALLDATA) $(NORMAL_PYFILE) $(MODULESDIR)
	$(INSTALLDIR) $(MODULESDIR)/common
	$(INSTALLDATA) $(COMMON_PYFILE) $(MODULESDIR)/common

	make -C po install

install: install-deb
	$(INSTALLDIR) $(MANDIR)
	$(INSTALLDATA) $(PKG_NAME).8 $(MANDIR)

install-nogui: install-nogui-deb
	$(INSTALLDIR) $(MANDIR)
	$(INSTALLDATA) $(PKG_NAME).8 $(MANDIR)

clean:
	rm -rf *~ grubmenu/*~ grubmenu/common/*~
	rm -f *.pyc grubmenu/*~ grubmenu/common/*.pyc
	rm -f *.orig grubmenu/*.orig grubmenu/common/*.orig debian/*.orig
	rm -f *.rej grubmenu/*.rej grubmenu/common/*.rej debian/*.rej
	make -C po clean 

distclean: clean
	rm -f $(PKG_NAME).8
	make -C po distclean
