=== debian/changelog ===
grubmenu (0.2.2-1) unstable; urgency=low

  * upstream update
  * see upstream changelog
  * change build-depends (>>python2.3)

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Fri, 14 Nov 2003 11:43:36 +0900

grubmenu (0.2.1-1) unstable; urgency=low

  * upstream upate
  * see upstream changelog

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Fri,  7 Nov 2003 15:55:00 +0900

grubmenu (0.2.0-1) unstable; urgency=low

  * upstream update
  * see upstream changelog

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Mon, 27 Oct 2003 10:22:09 +0900

grubmenu (0.1.3-1) unstable; urgency=low

  * upstream update.

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Sun, 31 Aug 2003 23:37:57 +0900

grubmenu (0.1.2-1) unstable; urgency=low

  * upstream update.
  * change a status of python-japanese-codecs to Suggests.

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Sun, 31 Aug 2003 22:16:31 +0900

grubmenu (0.1.1-1) unstable; urgency=low

  * upstream update.

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Sun, 31 Aug 2003 02:43:17 +0900

grubmenu (0.1.0-2) unstable; urgency=low

  * python-japanese-codecs is adding depends.

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Sun, 31 Aug 2003 01:50:01 +0900

grubmenu (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Fri, 29 Aug 2003 16:02:27 +0900
