=== debian/control ===
Source: grubmenu
Section: admin
Priority: optional
Maintainer: Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>
Build-Depends: debhelper (>> 4.0.0), python (>> 2.3), gettext, docbook-utils
Standards-Version: 3.5.9

Package: grubmenu
Architecture: i386
Depends: grub, python (>> 2.3), libwxgtk2.4-python (>= 2.4.2.4)
Suggests: python-japanese-codecs
Description: The package grubmenu is a simple script for create grub's menu.lst
 The kernel image installed is detected automatically
 and a boot entry is created. The boot option of a kernel
 can also be setup for each kernel.
 .
 In addition, a timeout, a setup of spash and a JP keyboard,
 default boot kernel image, etc. are possible.
 .
 grubmenu corresponds also to the initrd image. However,
 the same prefix as a kernel needs to be attached.
