## grubmenu 0.2.4-1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PKG_NAME = grubmenu
 GUI_NAME = grubmenugui
 
-VERSION = 0.2.2
+VERSION = 0.2.4
 
 DIST_NAME = $(PKG_NAME)_$(VERSION)
 DIST_PATH = ../$(DIST_NAME).orig.tar.gz
