=== debian/changelog ===
grubmenu (0.2.4-1) unstable; urgency=low

  * upstream update
  * see upstream changelog
  
 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Mon, 17 Nov 2003 14:26:17 +0900
