## grubmenu 0.2.5-1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PKG_NAME = grubmenu
 GUI_NAME = grubmenugui
 
-VERSION = 0.2.4
+VERSION = 0.2.5
 
 DIST_NAME = $(PKG_NAME)_$(VERSION)
 DIST_PATH = ../$(DIST_NAME).orig.tar.gz
@@ -67,7 +67,7 @@
 
 clean:
 	rm -rf *~ grubmenu/*~ grubmenu/common/*~
-	rm -f *.pyc grubmenu/*~ grubmenu/common/*.pyc
+	rm -f *.pyc grubmenu/*.pyc grubmenu/common/*.pyc
 	rm -f *.orig grubmenu/*.orig grubmenu/common/*.orig debian/*.orig
 	rm -f *.rej grubmenu/*.rej grubmenu/common/*.rej debian/*.rej
 	make -C po clean
