=== debian/changelog ===
grubmenu (0.2.5-1) unstable; urgency=low

  * upstream update
  * see upstream changelog

 -- Shigeyuki INOUE <kaepapa@kaepapa.dip.jp>  Fri, 21 Nov 2003 11:20:16 +0900
